# PhasicFlow: region< T > Class Template Reference

region< T > Class Template Reference
Inheritance diagram for region< T >:
[legend]
Collaboration diagram for region< T >:
[legend]

## Public Member Functions

| region (const T &rgn)
| region (const dictionary &dict)
| region (const region &)=default
region & | operator= (const region &)=default
virtual | ~region ()=default
bool | isInside (const realx3 point) const override
realx3 | minPoint () const override
realx3 | maxPoint () const override
word | name () const override
Public Member Functions inherited from regionBase
| regionBase ()=default
| regionBase (const regionBase &)=default
regionBase & | operator= (const regionBase &)=default
virtual | ~regionBase ()=default

## Protected Attributes

T | region_

## Detailed Description

### template<typename T>
class pFlow::region< T >

Definition at line 54 of file positionParticles.hpp.

## Constructor & Destructor Documentation

## region() [1/3]

region | ( | const T & | rgn | ) |

inline

Definition at line 64 of file positionParticles.hpp.

## region() [2/3]

region | ( | const dictionary & | dict | ) |

inline

Definition at line 69 of file positionParticles.hpp.

## region() [3/3]

region | ( | const region< T > & |  | ) |

default

## ~region()

virtual ~region | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=()

region& operator= | ( | const region< T > & |  | ) |

default

## isInside()

bool isInside | ( | const realx3 | point | ) | const

inlineoverridevirtual

Implements regionBase.

Definition at line 80 of file positionParticles.hpp.

References region< T >::region_.

## minPoint()

realx3 minPoint | ( |  | ) | const

inlineoverridevirtual

Implements regionBase.

Definition at line 85 of file positionParticles.hpp.

References region< T >::region_.

## maxPoint()

realx3 maxPoint | ( |  | ) | const

inlineoverridevirtual

Implements regionBase.

Definition at line 90 of file positionParticles.hpp.

References region< T >::region_.

## name()

word name | ( |  | ) | const

inlineoverridevirtual

Implements regionBase.

Definition at line 95 of file positionParticles.hpp.

References region< T >::region_.

## Member Data Documentation

## region_

T region_

protected

Definition at line 60 of file positionParticles.hpp.

Referenced by region< T >::isInside(), region< T >::maxPoint(), region< T >::minPoint(), and region< T >::name().

The documentation for this class was generated from the following file:

- utilities/particlesPhasicFlow/positionParticles/positionParticles.hpp